Package org.apache.batchee.container.impl.controller

## Class FlowController

- java.lang.Object
- - org.apache.batchee.container.impl.controller.FlowController

- All Implemented Interfaces:
    `Controller`, `ExecutionElementController`

      public class FlowController
      extends Object
      implements ExecutionElementController

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Flow` | `flow` |
    `protected ModelNavigator<Flow>` | `flowNavigator` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlowController​(RuntimeJobExecution jobExecution, Flow flow, long rootJobExecutionId, ServicesManager manager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExecutionStatus` | `execute()` |
    `List<Long>` | `getLastRunStepExecutions()` |
    `void` | `stop()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### flowNavigator

          protected ModelNavigator<Flow> flowNavigator

    - #### flow

          protected Flow flow

  - ### Constructor Detail

    - #### FlowController

          public FlowController​(RuntimeJobExecution jobExecution,
                                Flow flow,
                                long rootJobExecutionId,
                                ServicesManager manager)

  - ### Method Detail

    - #### execute

          public ExecutionStatus execute()

      Specified by:
        `execute` in interface `ExecutionElementController`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `Controller`

    - #### getLastRunStepExecutions

          public List<Long> getLastRunStepExecutions()

      Specified by:
        `getLastRunStepExecutions` in interface `Controller`